//
//  OTPKey.swift
//  OTPKit
//
//  Created by Shadowfacts on 8/21/21.
//

import Foundation

public protocol OTPKey {
    var secret: Data { get }
    var digits: Int { get }
    var algorithm: OTPAlgorithm { get }
    var period: Int { get }
}
